function createArrayFromAaaToZzz(): string[] {
  const result: string[] = [];
  const startChar = 'a'.charCodeAt(0);
  const endChar = 'z'.charCodeAt(0);

  for (let i = startChar; i <= endChar; i++) {
    for (let j = startChar; j <= endChar; j++) {
      for (let k = startChar; k <= endChar; k++) {
        const str = String.fromCharCode(i) + String.fromCharCode(j) + String.fromCharCode(k);
        result.push(str);
      }
    }
  }

  return result;
}

(async () => {
  const unused: string[] = [];

  const dict = createArrayFromAaaToZzz();

  await Promise.all(dict.map(async (word) => {
    const url = new URL(word, 'https://registry.npmjs.org/')
    const resp = await fetch(url, { method: 'HEAD' });
    if (resp.status === 404) {
      unused.push(word);
    }
  }));

  console.log(unused);
})();
